<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRelationReformPhotosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('relation_reform_photos', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('reform_id')->nullable();
            $table->string('file_type')->nullable();
            $table->string('file_path')->nullable();
            $table->integer('file_disp')->nullable();
            $table->integer('property')->nullable();
            $table->text('memo')->nullable();
            $table->integer('order')->nullable();
            $table->integer('list')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('relation_reform_photos');
    }
}
